.calculator-container {
  position: relative;
}
.calculator-container .c-blue {
  color: #135df5;
}
.calculator-container h2 {
  color: #135df5;
  font-size: 24px;
  font-weight: 700;
  line-height: 36px;
}
@media (min-width: 576px) {
  .calculator-container h2 {
    font-size: 32px;
    line-height: 48px;
  }
}
.calculator-container .subtitle {
  font-size: 16px;
  font-weight: 400;
  font-family: 'Source Sans 3', sans-serif;
}
@media (min-width: 576px) {
  .calculator-container .subtitle { font-size: 18px; }
}
.calculator-container h4 {
  font-size: 24px;
}
.calculator-container .table {
  display: none;
}
.calculator-container .table.table-small {
  font-size: 14px;
}
@media (max-width: 767px) {
  .calculator-container .table.table-small thead,
  .calculator-container .table.table-small td.empty { display: none; }
  .calculator-container .table.table-small td {
    border-top: 0;
    color: #135df5;
    display: block;
    font-weight: 600;
  }
  .calculator-container .table.table-small td.td-title {
    color: #333436;
    font-size: 18px;
    font-weight: 700;
    padding-top: 24px;
    padding-bottom: 8px;
    border-bottom: 1px solid #dee2e6;
  }
  .calculator-container .table.table-small td > div::before {
    color: #333436;
    font-weight: 400;
  }
  .calculator-container .table.table-small td .current-value::before { content: "Valor atual "; }
  .calculator-container .table.table-small td .current-percentage::before { content: "Hoje corresponde a "; }
  .calculator-container .table.table-small td .improvement::before { content: "O que precisa melhorar? "; }
}
@media (min-width: 576px) {
  .calculator-container .table { font-size: 18px; }
}
@media (min-width: 768px) {
  .calculator-container .table.table-fixed { table-layout: fixed; }
  .calculator-container .table th,
  .calculator-container .table td {
    padding-left: 24px;
    padding-right: 24px;
  }
  .calculator-container .table.table-small th,
  .calculator-container .table.table-small td {
    padding: 12px;
  }
}
.calculator-container .table th,
.calculator-container .table td { transition: border-top .2s ease-in; }
.calculator-container .table.calculated { background-color: #ebeef5; }
.calculator-container .table > thead > tr > th { white-space: nowrap; }
.calculator-container .table > thead > tr > th,
.calculator-container .table.calculated > tbody > tr > td { border-top-color: transparent; }
.calculator-container .table th > div,
.calculator-container .table td > div { white-space: nowrap; }
.calculator-container .result .value {
  color: #1a1a1a;
  font-size: 24px;
  font-weight: 700;
  font-family: 'Lexend Deca', sans-serif;
}
.calculator-container .table .total {
  color: #135df5;
}
.calculator-container .table .required {
  color: #f54231;
  font-weight: 600;
}
.calculator-container .table strong { white-space: nowrap; }
.calculator-container .form-group {
  position: relative;
  margin-bottom: 30px;
}
.calculator-container .form-group label {
  color: #555;
  display: block;
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 5px;
}
@media (min-width: 576px) {
  .calculator-container .form-group label { line-height: 24px; }
}
.calculator-container .error-msg {
  left: 0;
  right: 0;
  color: #ef6c73;
  font-size: 14px;
  margin-top: 5px;
  line-height: 16px;
  position: absolute;
  text-align: center;
}
/* --- Inputs --- */
.calculator-container .input-form,
.calculator-container select {
  width: 100%;
  height: 40px;
  outline: none;
  color: #333436;
  display: block;
  font-size: 15px;
  text-align: left;
  font-weight: 400;
  line-height: 1.5;
  padding: 8px 20px;
  border-radius: 8px;
  background-color: #fff;
  border: 1px solid #585858;
  transition: all 0.15s ease-in-out;
}
.calculator-container .input-form {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
@media (min-width: 576px) {
  .calculator-container .input-form,
  .calculator-container select {
    height: 48px;
    font-size: 18px;
  }
}
.calculator-container .input-form:hover,
.calculator-container select:hover {
  border-color: #135df5;
}
.calculator-container .input-form:focus,
.calculator-container select:focus {
  border-color: #135df5;
}
.calculator-container .input-form:focus::-webkit-input-placeholder,
.calculator-container select:focus::-webkit-input-placeholder {
  color: #135df5;
}
.calculator-container .input-form:focus:-ms-input-placeholder,
.calculator-container select:focus:-ms-input-placeholder {
  color: #135df5;
}
.calculator-container .input-form:focus::placeholder,
.calculator-container select:focus::placeholder {
  color: #135df5;
}
.calculator-container .input-form.error,
.calculator-container select.error {
  border-color: #f54231;
  background-color: #fff3f8;
}
.calculator-container .input-form.error::-webkit-input-placeholder,
.calculator-container select.error::-webkit-input-placeholder {
  color: #f54231;
}
.calculator-container .input-form.error:-ms-input-placeholder,
.calculator-container select.error:-ms-input-placeholder {
  color: #f54231;
}
.calculator-container .input-form.error::placeholder,
.calculator-container select.error::placeholder {
  color: #f54231;
}
.calculator-container .input-form[readonly]:hover,
.calculator-container select[readonly]:hover {
  border-color: #585858;
}
.calculator-container .money-input {
  width: 100%;
  position: relative;
}
.calculator-container .money-input::before {
  top: 12px;
  left: 16px;
  content: "R$";
  display: none;
  color: #4a4b4d;
  font-size: 17px;
  font-weight: 600;
  position: absolute;
}
.calculator-container .money-input.show::before {
  display: block;
}
.calculator-container .money-input.show .input-form {
  padding-left: 40px;
}
.calculator-container label.radio-style {
  height: 48px;
  color: #585858;
  font-size: 16px;
  font-weight: 400;
}
.calculator-container .radio-style input {
  width: 24px;
  height: 24px;
}
.calculator-display-card {
  border-radius: 8px;
  display: inline-block;
  background-color: #ebeef5;
  padding: 16px 20px 16px 16px;
}
.calculator-display-card h3 {
  margin: 0;
  color: #717275;
}
.calculator-display-card .dashicons {
  width: auto;
  height: auto;
  font-size: 30px;
}
.calculator-container .msg {
  color: #fa8f31;
  font-size: 16px;
  text-align: center;
}
.calculator-container .result-message {
  display: none;
  font-size: 16px;
  padding: 12px 16px;
  border-radius: 8px;
  background-color: red;
  color: rgba(0, 0, 0, .7);
}
.calculator-container .result-message p {
  margin-bottom: 8px;
}
.calculator-container .result-message ul {
  padding-left: 16px;
  margin-bottom: 8px;
}
.calculator-container .result-message li {
  padding-left: 0 !important;
  list-style: disc !important;
}
.calculator-container .result-message li::before {
  display: none;
}
.calculator-container .result-message.success {
  background-color: #cfefd7;
}
.calculator-container .result-message.warning {
  background-color: #ffe9ad;
}
.calculator-container .result-message.danger {
  background-color: #ffc1c5;
}
.calculator-container .block {
  font-size: 16px;
  border-radius: 8px;
  background-color: #ebeef5;
}
.calculator-container .block-title {
  color: #135df5;
  font-size: 20px;
  font-weight: 700;
  font-family: 'Lexend Deca', sans-serif;
}
.calculator-container .block .percentage {
  color: #135df5;
  font-weight: 600;
}

.post-content .cta-btn-block,
.wp-block-post-content .cta-btn-block {
  text-align: center;
  margin-block: 30px;
}

@media (min-width: 768px) {
  .post-content .cta-btn-block,
  .wp-block-post-content .cta-btn-block {
    margin-block: 40px;
  }
}

.post-content .cta-btn-block .cta-btn,
.wp-block-post-content .cta-btn-block .cta-btn {
  width: 100%;
  color: #fff !important;
  cursor: pointer;
  font-size: 18px;
  max-width: 276px;
  padding: 8px 24px;
  line-height: 30px;
  text-align: center;
  white-space: nowrap;
  border-radius: 32px;
  text-decoration: none;
  display: inline-block;
  vertical-align: middle;
  border: 2px solid #135df5;
  background-color: #135df5;
  transition: all .15s ease-in-out;
}

.post-content .cta-btn-block .cta-btn:hover,
.wp-block-post-content .cta-btn-block .cta-btn:hover {
  border-color: #082D75;
  background-color: #082D75;
}

.post-content .cta-btn-block .cta-btn.outline,
.wp-block-post-content .cta-btn-block .cta-btn.outline {
  color: #135df5 !important;
  background-color: transparent;
}

.post-content .cta-btn-block .cta-btn.outline:hover,
.wp-block-post-content .cta-btn-block .cta-btn.outline:hover {
  color: #082D75 !important;
  border-color: #082D75;
}
